Upstream information

CVE-2018-12886 at MITRE

Description

stack_protect_prologue in cfgexpand.c and stack_protect_epilogue in function.c in GNU Compiler Collection (GCC) 4.1 through 8 (under certain circumstances) generate instruction sequences when targeting ARM targets that spill the address of the stack protector guard, which allows an attacker to bypass the protection of -fstack-protector, -fstack-protector-all, -fstack-protector-strong, and -fstack-protector-explicit against stack overflow by controlling what the stack canary is compared against.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 2.9
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N
Attack Vector Network Local
Attack Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High None
Availability Impact High None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1136032 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 gcc7 Not affected
SUSE Enterprise Storage 7.1 gcc8 Not affected
SUSE Linux Enterprise Desktop 15 SP5 gcc7 Not affected
SUSE Linux Enterprise Desktop 15 SP5 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 12 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 12 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 gcc8 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 gcc7 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 gcc8 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 gcc7 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP5 gcc8 Not affected
SUSE Linux Enterprise Module for Toolchain 12 gcc7 Not affected
SUSE Linux Enterprise Module for Toolchain 12 gcc8 Not affected
SUSE Linux Enterprise Real Time 15 SP3 gcc7 Not affected
SUSE Linux Enterprise Real Time 15 SP3 gcc8 Not affected
SUSE Linux Enterprise Server 12 SP5 gcc48 Not affected
SUSE Linux Enterprise Server 12 SP5 gcc7 Not affected
SUSE Linux Enterprise Server 12 SP5 gcc8 Not affected
SUSE Linux Enterprise Server 12-LTSS gcc48 Not affected
SUSE Linux Enterprise Server 12-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 12-LTSS gcc8 Affected
SUSE Linux Enterprise Server 15 SP5 gcc7 Not affected
SUSE Linux Enterprise Server 15 SP5 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gcc48 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 gcc8 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 gcc48 Not affected
SUSE Manager Proxy 4.3 gcc7 Not affected
SUSE Manager Proxy 4.3 gcc8 Not affected
SUSE Manager Retail Branch Server 4.3 gcc7 Not affected
SUSE Manager Retail Branch Server 4.3 gcc8 Not affected
SUSE Manager Server 4.3 gcc7 Not affected
SUSE Manager Server 4.3 gcc8 Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 gcc7 Not affected
SUSE Linux Enterprise Desktop 15 SP4 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS gcc8 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 gcc7 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 gcc8 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 gcc7 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 gcc8 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 gcc7 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 gcc8 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 gcc7 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 gcc8 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 gcc7 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP3 gcc8 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 gcc7 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP4 gcc8 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL gcc48 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL gcc7 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL gcc8 Affected
SUSE Linux Enterprise Server 15 SP2 gcc7 Not affected
SUSE Linux Enterprise Server 15 SP2 gcc8 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS gcc8 Not affected
SUSE Linux Enterprise Server 15 SP3 gcc7 Not affected
SUSE Linux Enterprise Server 15 SP3 gcc8 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS gcc8 Not affected
SUSE Linux Enterprise Server 15 SP4 gcc7 Not affected
SUSE Linux Enterprise Server 15 SP4 gcc8 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gcc8 Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 gcc48 Not affected
HPE Helion OpenStack 8 gcc7 Not affected
HPE Helion OpenStack 8 gcc8 Affected
Magnum Orchestration 7 gcc7 Not affected
Magnum Orchestration 7 gcc8 Not affected
SLES for SAP Applications 11 SP3 gcc43 Not affected
SUSE CaaS Platform 3.0 gcc8 Not affected
SUSE CaaS Platform 4.0 gcc7 Not affected
SUSE CaaS Platform 4.0 gcc8 Not affected
SUSE Container as a Service Platform 1.0 gcc8 Unsupported
SUSE Container as a Service Platform 2.0 gcc8 Not affected
SUSE Enterprise Storage 6 gcc7 Not affected
SUSE Enterprise Storage 6 gcc8 Not affected
SUSE Enterprise Storage 7 gcc7 Not affected
SUSE Enterprise Storage 7 gcc8 Not affected
SUSE Linux Enterprise Desktop 11 SP4 gcc43 Not affected
SUSE Linux Enterprise Desktop 12 gcc48 Not affected
SUSE Linux Enterprise Desktop 12 SP1 gcc48 Not affected
SUSE Linux Enterprise Desktop 12 SP2 gcc48 Not affected
SUSE Linux Enterprise Desktop 12 SP2 gcc7 Not affected
SUSE Linux Enterprise Desktop 12 SP3 gcc48 Not affected
SUSE Linux Enterprise Desktop 12 SP3 gcc7 Not affected
SUSE Linux Enterprise Desktop 12 SP3 gcc8 Not affected
SUSE Linux Enterprise Desktop 12 SP4 gcc48 Not affected
SUSE Linux Enterprise Desktop 12 SP4 gcc7 Not affected
SUSE Linux Enterprise Desktop 12 SP4 gcc8 Not affected
SUSE Linux Enterprise Desktop 15 gcc7 Not affected
SUSE Linux Enterprise Desktop 15 gcc8 Not affected
SUSE Linux Enterprise Desktop 15 SP1 gcc7 Not affected
SUSE Linux Enterprise Desktop 15 SP1 gcc8 Not affected
SUSE Linux Enterprise Desktop 15 SP2 gcc7 Not affected
SUSE Linux Enterprise Desktop 15 SP2 gcc8 Not affected
SUSE Linux Enterprise Desktop 15 SP3 gcc7 Not affected
SUSE Linux Enterprise Desktop 15 SP3 gcc8 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 gcc48 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 gcc7 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 gcc8 Not affected
SUSE Linux Enterprise Module for Basesystem 15 gcc7 Not affected
SUSE Linux Enterprise Module for Basesystem 15 gcc8 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 gcc7 Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 gcc8 Not affected
SUSE Linux Enterprise Module for Development Tools 15 gcc7 Not affected
SUSE Linux Enterprise Module for Development Tools 15 gcc8 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 gcc7 Not affected
SUSE Linux Enterprise Module for Development Tools 15 SP1 gcc8 Not affected
SUSE Linux Enterprise Real Time 15 SP2 gcc7 Not affected
SUSE Linux Enterprise Real Time 15 SP2 gcc8 Not affected
SUSE Linux Enterprise Real Time 15 SP4 gcc7 Not affected
SUSE Linux Enterprise Real Time 15 SP4 gcc8 Not affected
SUSE Linux Enterprise Server 11 SP3 gcc43 Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS gcc43 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS gcc43 Not affected
SUSE Linux Enterprise Server 11 SP4 gcc43 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS gcc43 Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS gcc43 Not affected
SUSE Linux Enterprise Server 12 gcc48 Not affected
SUSE Linux Enterprise Server 12 gcc7 Not affected
SUSE Linux Enterprise Server 12 gcc8 Not affected
SUSE Linux Enterprise Server 12 SP1 gcc48 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS gcc8 Affected
SUSE Linux Enterprise Server 12 SP2 gcc48 Not affected
SUSE Linux Enterprise Server 12 SP2 gcc7 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS gcc8 Affected
SUSE Linux Enterprise Server 12 SP2-LTSS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS gcc8 Affected
SUSE Linux Enterprise Server 12 SP3 gcc48 Not affected
SUSE Linux Enterprise Server 12 SP3 gcc7 Not affected
SUSE Linux Enterprise Server 12 SP3 gcc8 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL gcc48 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL gcc7 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL gcc8 Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS gcc8 Affected
SUSE Linux Enterprise Server 12 SP3-LTSS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS gcc8 Affected
SUSE Linux Enterprise Server 12 SP4 gcc48 Not affected
SUSE Linux Enterprise Server 12 SP4 gcc7 Not affected
SUSE Linux Enterprise Server 12 SP4 gcc8 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS gcc8 Affected
SUSE Linux Enterprise Server 12 SP4-LTSS gcc48 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS gcc8 Affected
SUSE Linux Enterprise Server 15 gcc7 Not affected
SUSE Linux Enterprise Server 15 gcc8 Not affected
SUSE Linux Enterprise Server 15 SP1 gcc7 Not affected
SUSE Linux Enterprise Server 15 SP1 gcc8 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL gcc7 Not affected
SUSE Linux Enterprise Server 15 SP1-BCL gcc8 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS gcc8 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL gcc7 Not affected
SUSE Linux Enterprise Server 15 SP2-BCL gcc8 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL gcc7 Not affected
SUSE Linux Enterprise Server 15 SP3-BCL gcc8 Not affected
SUSE Linux Enterprise Server 15-LTSS gcc7 Not affected
SUSE Linux Enterprise Server 15-LTSS gcc8 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 gcc48 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 gcc43 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 gcc48 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 gcc48 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 gcc8 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gcc48 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gcc8 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gcc48 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gcc8 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gcc48 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gcc7 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gcc8 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 gcc43 Not affected
SUSE Linux Enterprise Software Development Kit 12 gcc48 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 gcc48 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 gcc48 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 gcc7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 gcc48 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 gcc7 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 gcc8 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 gcc48 Not affected
SUSE Manager Proxy 4.0 gcc7 Not affected
SUSE Manager Proxy 4.0 gcc8 Not affected
SUSE Manager Proxy 4.1 gcc7 Not affected
SUSE Manager Proxy 4.1 gcc8 Not affected
SUSE Manager Proxy 4.2 gcc7 Not affected
SUSE Manager Proxy 4.2 gcc8 Not affected
SUSE Manager Retail Branch Server 4.0 gcc7 Not affected
SUSE Manager Retail Branch Server 4.0 gcc8 Not affected
SUSE Manager Retail Branch Server 4.1 gcc7 Not affected
SUSE Manager Retail Branch Server 4.1 gcc8 Not affected
SUSE Manager Retail Branch Server 4.2 gcc7 Not affected
SUSE Manager Retail Branch Server 4.2 gcc8 Not affected
SUSE Manager Server 4.0 gcc7 Not affected
SUSE Manager Server 4.0 gcc8 Not affected
SUSE Manager Server 4.1 gcc7 Not affected
SUSE Manager Server 4.1 gcc8 Not affected
SUSE Manager Server 4.2 gcc7 Not affected
SUSE Manager Server 4.2 gcc8 Not affected
SUSE OpenStack Cloud 7 gcc48 Not affected
SUSE OpenStack Cloud 7 gcc7 Not affected
SUSE OpenStack Cloud 7 gcc8 Affected
SUSE OpenStack Cloud 8 gcc48 Not affected
SUSE OpenStack Cloud 8 gcc7 Not affected
SUSE OpenStack Cloud 8 gcc8 Affected
SUSE OpenStack Cloud 9 gcc48 Not affected
SUSE OpenStack Cloud 9 gcc7 Not affected
SUSE OpenStack Cloud 9 gcc8 Affected
SUSE OpenStack Cloud Crowbar 8 gcc48 Not affected
SUSE OpenStack Cloud Crowbar 8 gcc7 Not affected
SUSE OpenStack Cloud Crowbar 8 gcc8 Affected
SUSE OpenStack Cloud Crowbar 9 gcc48 Not affected
SUSE OpenStack Cloud Crowbar 9 gcc7 Not affected
SUSE OpenStack Cloud Crowbar 9 gcc8 Affected
Container Status
bci/bci-sle15-kernel-module-devel
bci/golang
bci/golang:1.16
bci/golang:1.17
bci/golang:1.18
bci/golang:1.19
bci/golang:1.20
bci/golang:1.20-openssl
bci/ruby
bci/rust:1.59
bci/rust:1.60
trento/trento-runner
gcc7Not affected


SUSE Timeline for this CVE

CVE page created: Wed May 22 22:36:58 2019
CVE page last modified: Thu Feb 22 16:56:13 2024